Index: compat.h
===================================================================
--- compat.h	(revision 90139)
+++ compat.h	(working copy)
@@ -79,7 +79,11 @@
 
 #ifndef HAVE_GETLOADAVG
 int getloadavg(double *list, int nelem);
+#else
+#ifdef SOLARIS
+#include <sys/loadavg.h>
 #endif
+#endif
 
 #ifndef HAVE_SETENV
 int setenv(const char *name, const char *value, int overwrite);
